
From: Arun Sharma <arun.sharma@intel.com>

Move ioctl TCSBRKP support to compat layer. Same rationale as TCSBRK.

- Remove corresponding code under ppc64, sparc64 and s390.
- Use ULONG_IOCTL() instead of COMPATIBLE_IOCTL(), since the argument is int, 
  not pointer.

Signed-off-by: Gordon Jin <gordon.jin@intel.com>
Signed-off-by: Arun Sharma <arun.sharma@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/ioctl32.c     |    1 -
 25-akpm/arch/s390/kernel/compat_ioctl.c |    3 ---
 25-akpm/arch/sparc64/kernel/ioctl32.c   |    1 -
 25-akpm/include/linux/compat_ioctl.h    |    1 +
 4 files changed, 1 insertion(+), 5 deletions(-)

diff -puN arch/ppc64/kernel/ioctl32.c~add-tcsbrkp-to-compat_ioctlh arch/ppc64/kernel/ioctl32.c
--- 25/arch/ppc64/kernel/ioctl32.c~add-tcsbrkp-to-compat_ioctlh	2005-02-02 17:54:12.200609248 -0800
+++ 25-akpm/arch/ppc64/kernel/ioctl32.c	2005-02-02 17:54:12.209607880 -0800
@@ -39,7 +39,6 @@ IOCTL_TABLE_START
 #include <linux/compat_ioctl.h>
 #define DECLARES
 #include "compat_ioctl.c"
-COMPATIBLE_IOCTL(TCSBRKP)
 COMPATIBLE_IOCTL(TIOCSTART)
 COMPATIBLE_IOCTL(TIOCSTOP)
 COMPATIBLE_IOCTL(TIOCSLTC)
diff -puN arch/s390/kernel/compat_ioctl.c~add-tcsbrkp-to-compat_ioctlh arch/s390/kernel/compat_ioctl.c
--- 25/arch/s390/kernel/compat_ioctl.c~add-tcsbrkp-to-compat_ioctlh	2005-02-02 17:54:12.202608944 -0800
+++ 25-akpm/arch/s390/kernel/compat_ioctl.c	2005-02-02 17:54:12.209607880 -0800
@@ -65,9 +65,6 @@ COMPATIBLE_IOCTL(BIODASDSATTR)
 COMPATIBLE_IOCTL(TAPE390_DISPLAY)
 #endif
 
-/* This one should be architecture independent */
-COMPATIBLE_IOCTL(TCSBRKP)
-
 /* s390 doesn't need handlers here */
 COMPATIBLE_IOCTL(TIOCGSERIAL)
 COMPATIBLE_IOCTL(TIOCSSERIAL)
diff -puN arch/sparc64/kernel/ioctl32.c~add-tcsbrkp-to-compat_ioctlh arch/sparc64/kernel/ioctl32.c
--- 25/arch/sparc64/kernel/ioctl32.c~add-tcsbrkp-to-compat_ioctlh	2005-02-02 17:54:12.204608640 -0800
+++ 25-akpm/arch/sparc64/kernel/ioctl32.c	2005-02-02 17:54:12.210607728 -0800
@@ -475,7 +475,6 @@ IOCTL_TABLE_START
 #include <linux/compat_ioctl.h>
 #define DECLARES
 #include "compat_ioctl.c"
-COMPATIBLE_IOCTL(TCSBRKP)
 COMPATIBLE_IOCTL(TIOCSTART)
 COMPATIBLE_IOCTL(TIOCSTOP)
 COMPATIBLE_IOCTL(TIOCSLTC)
diff -puN include/linux/compat_ioctl.h~add-tcsbrkp-to-compat_ioctlh include/linux/compat_ioctl.h
--- 25/include/linux/compat_ioctl.h~add-tcsbrkp-to-compat_ioctlh	2005-02-02 17:54:12.205608488 -0800
+++ 25-akpm/include/linux/compat_ioctl.h	2005-02-02 17:54:12.211607576 -0800
@@ -16,6 +16,7 @@ COMPATIBLE_IOCTL(TCSETA)
 COMPATIBLE_IOCTL(TCSETAW)
 COMPATIBLE_IOCTL(TCSETAF)
 COMPATIBLE_IOCTL(TCSBRK)
+ULONG_IOCTL(TCSBRKP)
 COMPATIBLE_IOCTL(TCXONC)
 COMPATIBLE_IOCTL(TCFLSH)
 COMPATIBLE_IOCTL(TCGETS)
_
